<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" schema="email-email" id="tracked-senders">

 <lire:title>Tracked Senders Email Report</lire:title>

 <lire:description>
  <para>This report shows the number of messages sent to each
   recipients for selected sender emails.
  </para>
 </lire:description>

 <lire:param-spec>

  <lire:param name="tracked_email_re" type="string" default=".*">
   <lire:description>
    <para>This parameter controls which sender emails will be included
     in the report.  E.g. "joe\\@example\\.com" or
     "(joe|ann|mailer-daemon)\\@example\\.org" or
     "root\\@example\\.com|john\\.doe\\@example\\.net": regexp's should be
     Perl style, with suitable escaping.
    </para>
   </lire:description>
  </lire:param>
  
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Recipients By Senders Matching $tracked_email_re</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:match value="$from_email" re="$tracked_email_re" case-sensitive="no"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-email_sent">
   <lire:field name="from_email"/>
   <lire:count name="email_sent"/>

   <lire:group sort="-email_received">
    <lire:field name="to_email"/>
    <lire:count name="email_received"/>
   </lire:group>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
